Bug 1645201 (CVE-2018-16861)

Summary: CVE-2018-16861 foreman: stored XSS in success notification after entity creation
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bbuckingham, bcourt, bkearney, mmccune, mrike, ohadlevy, rchan, rcosta, rjerrido
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180904,reported=20181009,source=redhat,cvss3=7.6/CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:L,cwe=CWE-79,rhn_satellite_6/foreman=affected
Fixed In Version: foreman 1.18.3, foreman 1.19.1, foreman 1.20.0 Doc Type: If docs needed, set a value
Doc Text:
A cross-site scripting (XSS) flaw was found in the foreman component of satellite. An attacker with privilege to create entries using the Hosts, Monitor, Infrastructure, or Administer Menus is able to execute a XSS attacks against other users, possibly leading to malicious code execution and extraction of the anti-CSRF token of higher privileged users.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:41:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1652785    
Bug Blocks: 1637732, 1640755    

Description Laura Pardo 2018-11-01 15:42:03 UTC
A flaw was found in foreman before versions 1.18.3, 1.19.1, 1.20.0. An stored XSS in the entity creation field.


References:
https://projects.theforeman.org/issues/24807

Upstream Patches:
https://github.com/theforeman/foreman/pull/6060
https://github.com/theforeman/foreman/pull/6041

Comment 1 Laura Pardo 2018-11-01 15:42:15 UTC
Acknowledgments:

Name: Sanket Jagtap (Red Hat Pune India)

Comment 7 Richard Maciel Costa 2018-12-04 21:21:08 UTC
*** Bug 1645208 has been marked as a duplicate of this bug. ***

Comment 8 Richard Maciel Costa 2018-12-04 21:22:50 UTC
Note job invocation uses the same code to generate a toast message when successfully creating the job, hence that's another vector for exploiting this issue. That's the reason for Bug #1645208 being marked as duplicate as this one.

Comment 9 errata-xmlrpc 2019-05-14 12:36:15 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.5 for RHEL 7

Via RHSA-2019:1222 https://access.redhat.com/errata/RHSA-2019:1222